@echo off
setlocal ENABLEDELAYEDEXPANSION
setlocal ENABLEEXTENSIONS

for /f %%i in (PatchData\PatchInfo.txt) do (
	set PatchName=%%i
)

set PatchBackupPath=%SCISYS%\General\Data\Patch_%PatchName%_Backup

if EXIST %PatchBackupPath% (
	Echo Patch already installed. Exiting without change.
	Pause
	exit /B
) ELSE (
	REM Create the backup folder
	mkdir %PatchBackupPath%

	REM Now loop over the files in the file list
	for /f "tokens=1,2,3 delims=," %%i in (PatchData\Files.flst) do (
		if NOT [%%i]==[#] (
			REM %%i is now the file name.
			REM %%j is the destination path
			REM %%k is either + or -, where + means the file should be read only.
			
			set DestFullPath=%scisys%\%%j%%i
			set DestPath=%scisys%\%%j
			set SrcFullPath=PatchData\%%i


			REM Copy original file into backup
			copy !DestFullPath! %PatchBackupPath% > nul

			REM Turn off read only attribute (if needed)
			if [%%k]==[+] (
				attrib -R "!DestFullPath!"
			)

			REM Copy the new version
			copy "!SrcFullPath!" "!DestPath!" > nul

			REM Turn on read only attribute (if needed)
			if [%%k]==[+] (
				attrib +R !DestFullPath!
			)

			REGEDIT /S HelpAbout003.reg

			)

		) 
	)

	Echo Patch installed.
)

Pause