@echo off
setlocal ENABLEDELAYEDEXPANSION
setlocal ENABLEEXTENSIONS

for /f %%i in (PatchData\PatchInfo.txt) do (
	set PatchName=%%i
)

set PatchBackupPath=%SCISYS%\General\Data\Patch_%PatchName%_Backup

if EXIST %PatchBackupPath% (

	REM Now loop over the files in the file list
	for /f "tokens=1,2,3 delims=," %%i in (PatchData\Files.flst) do (
		if NOT [%%i]==[#] (
			REM %%i is now the file name.
			REM %%j is the destination path
			REM %%k is either + or -, where + means the file should be read only.
			
			set DestFullPath=%scisys%\%%j%%i
			set DestPath=%scisys%\%%j
			set SrcFullPath=PatchData\%%i
			set BackupFullPath=%PatchBackupPath%\%%i

			REM Turn off read only attribute
			if [%%k]==[+] (
				attrib -R "!DestFullPath!"
			)
	
			REM Copy original file into backup
			copy !BackupFullPath! !DestPath!  > nul

			REM Turn on read only attribute
			if [%%k]==[+] (
				attrib +R "!DestFullPath!"
			)

			REM Delete the backup version
			del !BackupFullPath! > nul

			)

			REM Delete the backup folder
			rmdir %PatchBackupPath%

			)

			REGEDIT /S DeleteHelpAbout003.reg

			)

		)

	)
	
	Echo Patch uninstalled.

	) ELSE (

	Echo Patch is not installed. Exiting without change.
	Pause
	exit /B
)

Pause